Package be.fgov.ehealth.rn.commons.business.v1

# Class InformationCBSSType

java.lang.Object
be.fgov.ehealth.rn.commons.business.v1.InformationCBSSType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class InformationCBSSType extends Object implements Serializable
Information block from CBSS.

Java class for InformationCBSSType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InformationCBSSType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="TicketCBSS" type="{urn:be:fgov:ehealth:rn:commons:business:v1}UUIDType"/>
             <element name="TimestampReceive" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="TimestampReply" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InformationCBSSType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getTicketCBSS()`
  Gets the value of the ticketCBSS property.
  `Instant`
  `getTimestampReceive()`
  Time request was received by CBSS.
  `Instant`
  `getTimestampReply()`
  Time reply was sent by CBSS.
  `void`
  `setTicketCBSS(String value)`
  Sets the value of the ticketCBSS property.
  `void`
  `setTimestampReceive(Instant value)`
  Sets the value of the timestampReceive property.
  `void`
  `setTimestampReply(Instant value)`
  Sets the value of the timestampReply property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InformationCBSSType

    public InformationCBSSType()

- ## Method Details

  - ### getTicketCBSS

    public String getTicketCBSS()
    Gets the value of the ticketCBSS property.
    Returns:
      possible object is `String`

  - ### setTicketCBSS

    public void setTicketCBSS(String value)
    Sets the value of the ticketCBSS property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTimestampReceive

    public Instant getTimestampReceive()
    Time request was received by CBSS.
    Returns:
      possible object is `String`

  - ### setTimestampReceive

    public void setTimestampReceive(Instant value)
    Sets the value of the timestampReceive property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTimestampReceive()`

  - ### getTimestampReply

    public Instant getTimestampReply()
    Time reply was sent by CBSS.
    Returns:
      possible object is `String`

  - ### setTimestampReply

    public void setTimestampReply(Instant value)
    Sets the value of the timestampReply property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getTimestampReply()`